Bug 839217 - Zanata copying translation from other branch when used with --no-copytrans option
Zanata copying translation from other branch when used with --no-copytrans op...
Status: CLOSED NOTABUG
Product: Zanata
Classification: Community
Component: Component-PythonClient (Show other bugs)
1.6.1
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 05:11 EDT by Parag Nemade
Modified: 2013-03-03 21:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-22 23:45:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-07-11 05:11:31 EDT
Description of problem:
First of all thanks to Ankit for helping me to understand this issue. The bug found is in zanata-python-client. I did some changes like removing the unnecessary comments in po files and pushed to f18-1 branch in iok. Then I pulled it again and found comments appeared again. Then, I used --no-copytrans option and pushed and it worked.

Now, I removed translations from one of the string and pushed po file with --no-copytrans and looked into zanata for its stat. Zanata showed it as 100% translated which is wrong.

Version-Release number of selected component (if applicable):
zanata python client version: 1.3.7, zanata server API version: 1.6.0
Project: iok
Version: f18-1


How reproducible:
always

Steps to Reproduce:
1. modify po and remove translations
2. push po files with --no-copytrans
3. check that po status in zanata
  
Actual results:
100% translated

Expected results:
should not be copying translation from other branch.

Additional info:
Comment 1 Parag Nemade 2012-07-11 05:16:00 EDT
The new features in zanata are really killing my rhel6 iok update.
Comment 2 James Ni 2012-07-15 23:59:36 EDT
Hi Parag

I think you have to use --merge=import to push translations if you want overwrite the translations on server side. That option is set to auto by default. Please try again.

Note You need to log in before you can comment on or make changes to this bug.